This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 443681 - Fedora 9 kernel can't mount MyBook World Edition via CIFS
Fedora 9 kernel can't mount MyBook World Edition via CIFS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 16:27 EDT by Chris Lalancette
Modified: 2014-06-18 03:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.25.3-18.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 18:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch -- Fix UNC path prefix on QueryUnixPathInfo to have correct slash (2.85 KB, patch)
2008-04-22 16:46 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2008-04-22 16:27:26 EDT
Description of problem:
I recently purchased a MyBook World Edition drive.  It's an external storage
drive with both USB and 1Gbit ethernet; it exports it's disks as CIFS shares.

# smbclient -L //<ipaddress>

Domain=[MYBOOKWORLD] OS=[Unix] Server=[Samba 3.0.23c]

        Sharename       Type      Comment
        ---------       ----      -------
        PUBLIC          Disk      
        IPC$            IPC       IPC Service (MyBookWorld)
Domain=[MYBOOKWORLD] OS=[Unix] Server=[Samba 3.0.23c]

        Server               Comment
        ---------            -------

        Workgroup            Master
        ---------            -------
        WORKGROUP            BERMAN

Using both an F-7 or F-8 kernel, I was able to mount the share using the
following command:

# mount -t cifs -o credentials=/etc/cifs //<ipaddress>/public /mnt/tmp

However, this command no longer works in F-9, kernel 2.6.25-1.fc9.x86_64.  When
I try that same command in F-9, I get:

mount error 20 = Not a directory
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)

Jeff asked me to try mounting with -o nounix; adding that switch allows the
share to mount properly.
Comment 1 Jeff Layton 2008-04-22 16:46:44 EDT
Created attachment 303378 [details]
patch -- Fix UNC path prefix on QueryUnixPathInfo to have correct slash

This patch should fix it. It's not in mainline yet, but is in Steve French's
cifs-2.6 git tree. It should make its way to mainline soon (hopefully).
Comment 2 Chuck Ebbert 2008-04-23 07:16:42 EDT
The patch changes the function's parameters. Does it depend on some other change
in the CIFS GIT tree?

-static const unsigned char *cifs_get_search_path(struct cifsTconInfo *pTcon,
-					const char *search_path)
+static const unsigned char *cifs_get_search_path(struct cifs_sb_info *cifs_sb,
+						const char *search_path)
Comment 3 Jeff Layton 2008-04-23 07:42:48 EDT
It shouldn't. It applies cleanly to 2.6.25-1.fc9 for me. It changes that
function's parameters, but it also changes the callers.

As a side note, I've emailed Steve F to see about pushing this patch for 2.6.25
stable series. I think we'll probably want to carry this for Fedora for now, but
hopefully we can drop it eventually.
Comment 4 Chris Lalancette 2008-04-23 10:34:46 EDT
Yeah, and just to further what Jeff said, I've now built and booted a kernel
with this patch applied, and I can successfully mount (like I did with the F-8
kernel) without the -nounix option.

Chris Lalancette
Comment 5 Jeff Layton 2008-05-06 09:45:39 EDT
Chuck, is there anything we need to do to get this patch taken into F9 kernels
until it makes it upstream?
Comment 6 Chuck Ebbert 2008-05-13 04:17:52 EDT
Patch in 2.6.25.3-18.fc9
Comment 7 Fedora Update System 2008-05-13 10:27:58 EDT
kernel-2.6.25.3-18.fc9 has been submitted as an update for Fedora 9
Comment 8 Bug Zapper 2008-05-14 05:57:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2008-05-14 18:14:51 EDT
kernel-2.6.25.3-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.